Package org.springframework.test.context.support

# Class DefaultTestContextBootstrapper

java.lang.Object
org.springframework.test.context.support.AbstractTestContextBootstrapper
org.springframework.test.context.support.DefaultTestContextBootstrapper

All Implemented Interfaces:
  `TestContextBootstrapper`

Direct Known Subclasses:
  `WebTestContextBootstrapper`

public class DefaultTestContextBootstrapper extends AbstractTestContextBootstrapper
Default implementation of the `TestContextBootstrapper` SPI.

Uses `DelegatingSmartContextLoader` as the default `ContextLoader`.

Since:
  4.1
Author:
  Sam Brannen

## Constructor Summary

Constructors
Constructor
Description
`DefaultTestContextBootstrapper()`

## Method Summary

Modifier and Type
Method
Description
`protected Class<? extends ContextLoader>`
`getDefaultContextLoaderClass(Class<?> testClass)`
Returns `DelegatingSmartContextLoader`.

### Methods inherited from class org.springframework.test.context.support.AbstractTestContextBootstrapper

`buildMergedContextConfiguration, buildTestContext, getBootstrapContext, getCacheAwareContextLoaderDelegate, getContextCustomizerFactories, getDefaultTestExecutionListeners, getTestExecutionListeners, processMergedContextConfiguration, resolveContextLoader, resolveExplicitContextLoaderClass, setBootstrapContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultTestContextBootstrapper

public DefaultTestContextBootstrapper()

## Method Details

### getDefaultContextLoaderClass

protected Class<? extends ContextLoader> getDefaultContextLoaderClass(Class<?> testClass)
Returns `DelegatingSmartContextLoader`.

Specified by:
  `getDefaultContextLoaderClass` in class `AbstractTestContextBootstrapper`
Parameters:
  `testClass` - the test class for which to retrieve the default `ContextLoader` class
Returns:
  the default `ContextLoader` class for the supplied test class (never `null`)